"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class OtherFamilyHistory(ProtocolElement):
    """
    Family history for secondary findings.     Arrays of strings
    describing discrete family history phenotypes.     Usually:
    `EndocrineTumours`, `colorectal`, `BreastOvarian` and `HDOrStroke`
    but can be others
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_4 import reports as reports_6_1_0

        return {
            "org.gel.models.report.avro.OtherFamilyHistory": reports_6_1_0.OtherFamilyHistory,
        }

    __slots__ = [
        "maternalFamilyHistory",
        "paternalFamilyHistory",
    ]

    def __init__(
        self,
        maternalFamilyHistory=None,
        paternalFamilyHistory=None,
        validate=None,
        **kwargs
    ):
        """Initialise the reports_6_1_0.OtherFamilyHistory model.

        :param maternalFamilyHistory:
            Relevant Maternal family history
        :type maternalFamilyHistory: None | list[str]
        :param paternalFamilyHistory:
            Relevant Maternal family history
        :type paternalFamilyHistory: None | list[str]
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "6.1.0"
